summaryrefslogtreecommitdiffstats
path: root/bin/nixos-deploy
diff options
context:
space:
mode:
authortv <tv@shackspace.de>2015-05-21 23:52:06 +0200
committertv <tv@shackspace.de>2015-05-21 23:52:06 +0200
commitf8b1e849a6a3bd53f24a4aac70bc904cdb5ff711 (patch)
tree826235e1b776665ab32ee787bb96cd3b6f519d95 /bin/nixos-deploy
parentac764394050f6fc39e406799085259d3fc08956a (diff)
deploy: merge next
Diffstat (limited to 'bin/nixos-deploy')
-rwxr-xr-xbin/nixos-deploy16
1 files changed, 16 insertions, 0 deletions
diff --git a/bin/nixos-deploy b/bin/nixos-deploy
new file mode 100755
index 000000000..6b8418696
--- /dev/null
+++ b/bin/nixos-deploy
@@ -0,0 +1,16 @@
+#! /bin/sh
+#
+# deploy
+#
+set -euf
+
+host=$1
+system=${2-$(nixos-build "$host")}
+
+target=root@$host
+
+nix-copy-closure --gzip --to "$target" "$system"
+
+copy-secrets "$host"
+
+ssh ${NIX_SSHOPTS-} "$target" "$system/bin/switch-to-configuration" switch
[cgit] Unable to lock slot /tmp/cgit/66000000.lock: No such file or directory (2)